[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVSelectItemEvent

Specifies an event handler signalled when the selected state is changed for an item on a list view control.

## Declaration

Source position: comctrls.pp line 1323

`type TLVSelectItemEvent = procedure(`
`Sender: TObject;`
`Item: TListItem;`
`Selected: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`Item` |  | TListItem for the event notification,
`Selected` |  | True if the list item is selected.

## Description

TLVSelectItemEvent is the type used to implement the OnSelectItem event handler in TCustomListView.

## See also

TCustomListView.OnSelectItem |  | Event handler signalled when the selected list item for the control is changed.
TListItem.Checked |  | Displays a check mark to allow the list item to be include in list view operations.